# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ConfigurationDesignItem Class Reference

Representation of STEP SELECT type ConfigurationDesignItem
.

`#include <StepRepr_ConfigurationDesignItem.hxx>`

Inheritance diagram for StepRepr_ConfigurationDesignItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_ConfigurationDesignItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ConfigurationDesignItem select type 1 -> ProductDefinition from StepBasic 2 -> ProductDefinitionFormation from StepBasic 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| Returns Value as ProductDefinition (or Null if another type) .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | ProductDefinitionFormation () const
| Returns Value as ProductDefinitionFormation (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ConfigurationDesignItem::StepRepr_ConfigurationDesignItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepRepr_ConfigurationDesignItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepRepr_ConfigurationDesignItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_ConfigurationDesignItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_ConfigurationDesignItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepRepr_ConfigurationDesignItem::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepRepr_ConfigurationDesignItem::ProductDefinitionFormation | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepRepr_ConfigurationDesignItem.hxx